<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit-linux.twig */
class __TwigTemplate_4813a9e10f20bad67ffa8269c3a7e390ad20832f6998cb67c2c97f0871dab18c extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 23
        echo "<div class=\"row\">
    <div class=\"col-md-12\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 26
        echo __("General");
        echo "</a></li>
            <li><a href=\"#network\" role=\"tab\" data-toggle=\"tab\">";
        // line 27
        echo __("Network");
        echo "</a></li>
            <li><a href=\"#location\" role=\"tab\" data-toggle=\"tab\">";
        // line 28
        echo __("Location");
        echo "</a></li>
            <li><a href=\"#troubleshooting\" role=\"tab\" data-toggle=\"tab\">";
        // line 29
        echo __("Troubleshooting");
        echo "</a></li>
            <li><a href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 30
        echo __("Advanced");
        echo "</a></li>
            ";
        // line 31
        if ((twig_length_filter($this->env, ($context["commands"] ?? null)) > 0)) {
            // line 32
            echo "                <li><a href=\"#commands\" role=\"tab\" data-toggle=\"tab\">";
            echo __("Commands");
            echo "</a></li>
            ";
        }
        // line 34
        echo "        </ul>
        <form id=\"displayProfileForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 35
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayProfile.edit", ["id" => $this->getAttribute(($context["displayProfile"] ?? null), "displayProfileId", [])]), "html", null, true);
        echo "\">
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"general\">
                    ";
        // line 38
        $this->loadTemplate("displayprofile-form-edit-common-fields.twig", "displayprofile-form-edit-linux.twig", 38)->display($context);
        // line 39
        echo "
                    ";
        // line 40
        $context["title"] = __("Collect interval");
        // line 41
        echo "                    ";
        $context["helpText"] = __("How often should the Player check for new content.");
        // line 42
        echo "                    ";
        $context["options"] = [0 => ["id" => 60, "value" => __("1 minute")], 1 => ["id" => 300, "value" => __("5 minutes")], 2 => ["id" => 600, "value" => __("10 minutes")], 3 => ["id" => 1800, "value" => __("30 minutes")], 4 => ["id" => 3600, "value" => __("1 hour")], 5 => ["id" => 5400, "value" => __("1 hour 30 minutes")], 6 => ["id" => 7200, "value" => __("2 hours")], 7 => ["id" => 9000, "value" => __("2 hours 30 minutes")], 8 => ["id" => 10800, "value" => __("3 hours")], 9 => ["id" => 12600, "value" => __("3 hours 30 minutes")], 10 => ["id" => 14400, "value" => __("4 hours")], 11 => ["id" => 18000, "value" => __("5 hours")], 12 => ["id" => 21600, "value" => __("6 hours")], 13 => ["id" => 25200, "value" => __("7 hours")], 14 => ["id" => 28800, "value" => __("8 hours")], 15 => ["id" => 32400, "value" => __("9 hours")], 16 => ["id" => 36000, "value" => __("10 hours")], 17 => ["id" => 39600, "value" => __("11 hours")], 18 => ["id" => 43200, "value" => __("12 hours")], 19 => ["id" => 86400, "value" => __("24 hours")]];
        // line 64
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "collectInterval", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "collectInterval"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 66
        $context["title"] = __("XMR Public Address");
        // line 67
        echo "                    ";
        $context["helpText"] = __("Please enter the public address for XMR.");
        // line 68
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "xmrNetworkAddress", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "xmrNetworkAddress"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 70
        $context["title"] = __("Enable stats reporting?");
        // line 71
        echo "                    ";
        $context["helpText"] = __("Should the application send proof of play stats to the CMS.");
        // line 72
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "statsEnabled", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "statsEnabled"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 74
        $context["title"] = __("Aggregation level");
        // line 75
        echo "                    ";
        $context["helpText"] = __("Set the level of collection for Proof of Play Statistics to be applied to selected Layouts / Media and Widget items.");
        // line 76
        echo "                    ";
        $context["options"] = [0 => ["id" => "Individual", "value" => __("Individual")], 1 => ["id" => "Hourly", "value" => __("Hourly")], 2 => ["id" => "Daily", "value" => __("Daily")]];
        // line 81
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "aggregationLevel", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "aggregationLevel"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null), 8 => "aggregation-level"], "method"), "html", null, true);
        echo "
                </div>

                <div class=\"tab-pane\" id=\"network\">

                    ";
        // line 86
        $context["title"] = __("Download Window Start Time");
        // line 87
        echo "                    ";
        $context["helpText"] = __("The start of the time window to connect to the CMS and download updates.");
        // line 88
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "time", [0 => "downloadStartWindow", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "downloadStartWindow"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 90
        $context["title"] = __("Download Window End Time");
        // line 91
        echo "                    ";
        $context["helpText"] = __("The end of the time window to connect to the CMS and download updates.");
        // line 92
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "time", [0 => "downloadEndWindow", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "downloadEndWindow"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 94
        $context["title"] = __("Force HTTPS?");
        // line 95
        echo "                    ";
        $context["helpText"] = __("Should Displays be forced to use HTTPS connection to the CMS?");
        // line 96
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "forceHttps", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "forceHttps"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 98
        $context["title"] = __("Operating Hours");
        // line 99
        echo "                    ";
        $context["helpText"] = __("Select a day part that should act as operating hours for this display - email alerts will not be sent outside of operating hours");
        // line 100
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("daypart.search")], 5 => ["name" => "data-search-term", "value" => "name"], 6 => ["name" => "data-id-property", "value" => "dayPartId"], 7 => ["name" => "data-text-property", "value" => "name"], 8 => ["name" => "data-filter-options", "value" => "{\"isAlways\":\"0\", \"isCustom\":\"0\"}"]];
        // line 111
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "dayPartId", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "dayPartId"], "method"), 4 => twig_array_merge([0 => ["dayPartId" => null, "name" => ""]], ($context["dayParts"] ?? null)), 5 => "dayPartId", 6 => "name", 7 => ($context["helpText"] ?? null), 8 => "pagedSelect", 9 => "", 10 => "", 11 => "", 12 => ($context["attributes"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                <div class=\"tab-pane\" id=\"location\">

                    ";
        // line 117
        $context["title"] = __("Width");
        // line 118
        echo "                    ";
        $context["helpText"] = __("The Width of the Display Window. 0 means full width.");
        // line 119
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "sizeX", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "sizeX"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 121
        $context["title"] = __("Height");
        // line 122
        echo "                    ";
        $context["helpText"] = __("The Height of the Display Window. 0 means full height.");
        // line 123
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "sizeY", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "sizeY"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 125
        $context["title"] = __("Left Coordinate");
        // line 126
        echo "                    ";
        $context["helpText"] = __("The left pixel position the display window should be sized from.");
        // line 127
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "offsetX", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "offsetX"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 129
        $context["title"] = __("Top Coordinate");
        // line 130
        echo "                    ";
        $context["helpText"] = __("The top pixel position the display window should be sized from.");
        // line 131
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "offsetY", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "offsetY"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                <div class=\"tab-pane\" id=\"troubleshooting\">

                    ";
        // line 137
        $context["title"] = __("Log Level");
        // line 138
        echo "                    ";
        $context["helpText"] = __("The logging level that should be recorded by the Player.");
        // line 139
        echo "                    ";
        $context["options"] = [0 => ["id" => "trace", "value" => __("Trace")], 1 => ["id" => "debug", "value" => __("Debug")], 2 => ["id" => "info", "value" => __("Information")], 3 => ["id" => "error", "value" => __("Error")], 4 => ["id" => "off", "value" => __("Off")]];
        // line 146
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "logLevel", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "logLevel"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                <div class=\"tab-pane\" id=\"advanced\">

                    ";
        // line 152
        $context["title"] = __("Enable Shell Commands");
        // line 153
        echo "                    ";
        $context["helpText"] = __("Enable the Shell Command module.");
        // line 154
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "enableShellCommands", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "enableShellCommands"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 156
        if (($this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_CURRENT_LAYOUT_STATUS_ENABLED", 1 => 0], "method") == 1)) {
            // line 157
            echo "                        ";
            $context["title"] = __("Notify current layout");
            // line 158
            echo "                        ";
            $context["helpText"] = __("When enabled the Player will send the current layout to the CMS each time it changes. Warning: This is bandwidth intensive and should be disabled unless on a LAN.");
            // line 159
            echo "                        ";
            echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "sendCurrentLayoutAsStatusUpdate", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "sendCurrentLayoutAsStatusUpdate"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
            echo "
                    ";
        }
        // line 161
        echo "
                    ";
        // line 162
        $context["title"] = __("Expire Modified Layouts?");
        // line 163
        echo "                    ";
        $context["helpText"] = __("Expire Modified Layouts immediately on change. This means a layout can be cut during playback if it receives an update from the CMS");
        // line 164
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "expireModifiedLayouts", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "expireModifiedLayouts"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 166
        $context["title"] = __("Maximum concurrent downloads");
        // line 167
        echo "                    ";
        $context["helpText"] = __("The maximum number of concurrent downloads the Player will attempt.");
        // line 168
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "maxConcurrentDownloads", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "maxConcurrentDownloads"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 170
        $context["title"] = __("Shell Command Allow List");
        // line 171
        echo "                    ";
        $context["helpText"] = __("Which shell commands should the Player execute?");
        // line 172
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "shellCommandAllowList", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "shellCommandAllowList"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 174
        if (($this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_SCREENSHOT_INTERVAL_ENABLED", 1 => 0], "method") == 1)) {
            // line 175
            echo "                        ";
            $context["title"] = __("Screen shot interval");
            // line 176
            echo "                        ";
            $context["helpText"] = __("The duration between status screen shots in minutes. 0 to disable. Warning: This is bandwidth intensive.");
            // line 177
            echo "                        ";
            echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "screenShotRequestInterval", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotRequestInterval"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
            echo "
                    ";
        }
        // line 179
        echo "
                    ";
        // line 180
        $context["title"] = __("Screen Shot Size");
        // line 181
        echo "                    ";
        $context["helpText"] = __("The size of the largest dimension. Empty or 0 means the screen size.");
        // line 182
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "screenShotSize", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotSize"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 184
        $context["title"] = __("Limit the number of log files uploaded concurrently");
        // line 185
        echo "                    ";
        $context["helpText"] = __("The number of log files to upload concurrently. The lower the number the longer it will take, but the better for memory usage.");
        // line 186
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "maxLogFileUploads", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "maxLogFileUploads"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 188
        $context["title"] = __("Embedded Web Server Port");
        // line 189
        echo "                    ";
        $context["helpText"] = __("The port number to use for the embedded web server on the Player. Only change this if there is a port conflict reported on the status screen.");
        // line 190
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "embeddedServerPort", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "embeddedServerPort"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 192
        $context["title"] = __("Prevent Sleep?");
        // line 193
        echo "                    ";
        $context["helpText"] = __("Stop the player PC power management from Sleeping the PC");
        // line 194
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "preventSleep", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "preventSleep"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                ";
        // line 198
        if ((twig_length_filter($this->env, ($context["commands"] ?? null)) > 0)) {
            // line 199
            echo "                <div class=\"tab-pane\" id=\"commands\">
                    ";
            // line 200
            $this->loadTemplate("displayprofile-form-edit-command-fields.twig", "displayprofile-form-edit-linux.twig", 200)->display($context);
            // line 201
            echo "                </div>
                ";
        }
        // line 203
        echo "            </div>
        </form>
    </div>
</div>";
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit-linux.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  382 => 203,  378 => 201,  376 => 200,  373 => 199,  371 => 198,  363 => 194,  360 => 193,  358 => 192,  352 => 190,  349 => 189,  347 => 188,  341 => 186,  338 => 185,  336 => 184,  330 => 182,  327 => 181,  325 => 180,  322 => 179,  316 => 177,  313 => 176,  310 => 175,  308 => 174,  302 => 172,  299 => 171,  297 => 170,  291 => 168,  288 => 167,  286 => 166,  280 => 164,  277 => 163,  275 => 162,  272 => 161,  266 => 159,  263 => 158,  260 => 157,  258 => 156,  252 => 154,  249 => 153,  247 => 152,  237 => 146,  234 => 139,  231 => 138,  229 => 137,  219 => 131,  216 => 130,  214 => 129,  208 => 127,  205 => 126,  203 => 125,  197 => 123,  194 => 122,  192 => 121,  186 => 119,  183 => 118,  181 => 117,  171 => 111,  168 => 100,  165 => 99,  163 => 98,  157 => 96,  154 => 95,  152 => 94,  146 => 92,  143 => 91,  141 => 90,  135 => 88,  132 => 87,  130 => 86,  121 => 81,  118 => 76,  115 => 75,  113 => 74,  107 => 72,  104 => 71,  102 => 70,  96 => 68,  93 => 67,  91 => 66,  85 => 64,  82 => 42,  79 => 41,  77 => 40,  74 => 39,  72 => 38,  66 => 35,  63 => 34,  57 => 32,  55 => 31,  51 => 30,  47 => 29,  43 => 28,  39 => 27,  35 => 26,  30 => 23,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit-linux.twig", "/home/mgatv524/public_html/edurocha/views/displayprofile-form-edit-linux.twig");
    }
}
