<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* auditlog-page.twig */
class __TwigTemplate_7b71ea0cccf95a2b7a1c2bfccb5521635daecf0df86bcf2b80e92dc4158850f6 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 8
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 9
        $context["inline"] = $this->loadTemplate("inline.twig", "auditlog-page.twig", 9)->unwrap();
        // line 8
        $this->parent = $this->loadTemplate("authed.twig", "auditlog-page.twig", 8);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 11
    public function block_actionMenu($context, array $blocks = [])
    {
        // line 12
        echo "    <ul class=\"nav nav-pills pull-right\">
        <li class=\"btn btn-success btn-xs\"><a class=\"XiboFormButton btns\" title=\"";
        // line 13
        echo __("Export raw data to CSV");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("auditLog.export.form"), "html", null, true);
        echo "\"><i class=\"fa fa-cloud-upload\" aria-hidden=\"true\"></i> ";
        echo __("Export");
        echo "</a></li>
        <li class=\"btn btn-info btn-xs\"><a class=\"btns\" id=\"refreshLog\" title=\"";
        // line 14
        echo __("Refresh the Log");
        echo "\" href=\"#\"> <i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</a></li>
    </ul>
";
    }

    // line 18
    public function block_pageContent($context, array $blocks = [])
    {
        // line 19
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 20
        echo __("Audit Log");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 22
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"auditView\">
                <div class=\"XiboFilter well\">
                    <div class=\"FilterDiv\" id=\"Filter\">
                        <form class=\"form-inline\">

                            ";
        // line 27
        ob_start(function () { return ''; });
        echo __("From Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                            <div class=\"form-group\">
                                <label class=\"control-label\" for=\"fromDt\">";
        // line 29
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                                <div class=\"input-group date\" style=\"display:table;\">
                                    <input type=\"hidden\" name=\"fromDt\" id=\"fromDt\" />
                                    <input class=\"form-control datePicker dateControl\" name=\"fromDtLink\"
                                           type=\"text\" id=\"fromDtLink\" data-link-field=\"fromDt\"
                                           data-link-format=\"yyyy-mm-dd 00:00:00\" readonly />
                                    <span class=\"input-group-addon\" id=\"fromDateControlCancel\">
                                                <span class=\"fa fa-times-circle\"></span>
                                            </span>
                                </div>
                            </div>

                            ";
        // line 41
        ob_start(function () { return ''; });
        echo __("To Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                            <div class=\"form-group\">
                                <label class=\"control-label\" for=\"toDt\">";
        // line 43
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                                <div class=\"input-group date\" style=\"display:table;\">
                                    <input type=\"hidden\" name=\"toDt\" id=\"toDt\" />
                                    <input class=\"form-control datePicker dateControl\" name=\"toDtLink\"
                                           type=\"text\" id=\"toDtLink\" data-link-field=\"toDt\"
                                           data-link-format=\"yyyy-mm-dd 00:00:00\" readonly />
                                    <span class=\"input-group-addon\" id=\"toDateControlCancel\">
                                                <span class=\"fa fa-times-circle\"></span>
                                            </span>
                                </div>
                            </div>

                            ";
        // line 55
        ob_start(function () { return ''; });
        echo __("User");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                            ";
        echo $context["inline"]->getinput("user", ($context["title"] ?? null));
        echo "

                            ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Entity");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                            ";
        echo $context["inline"]->getinput("entity", ($context["title"] ?? null));
        echo "

                            ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Entity ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                            ";
        echo $context["inline"]->getinput("entityId", ($context["title"] ?? null));
        echo "

                            ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Message");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                            ";
        echo $context["inline"]->getinput("message", ($context["title"] ?? null));
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData\">
                    <table id=\"logs\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 73
        echo __("ID");
        echo "</th>
                                <th>";
        // line 74
        echo __("Date");
        echo "</th>
                                <th>";
        // line 75
        echo __("User");
        echo "</th>
                                <th>";
        // line 76
        echo __("Entity");
        echo "</th>
                                <th>";
        // line 77
        echo __("Entity ID");
        echo "</th>
                                <th>";
        // line 78
        echo __("Message");
        echo "</th>
                                <th>";
        // line 79
        echo __("Object");
        echo "</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 92
    public function block_javaScript($context, array $blocks = [])
    {
        // line 93
        echo "    ";
        // line 113
        echo "
    <script type=\"text/x-handlebars-template\" id=\"table-array-viewer\">
        <a class=\"arrayViewerToggle\" href=\"#\"><span class=\"fa fa-search\"></span></a>
        <table class=\"arrayViewer table table-bordered\">
            <thead>
                <tr>
                    <th>{{ col1 }}</th>
                    <th>{{ col2 }}</th>
                </tr>
            </thead>
            <tbody>
                {{#each items}}
                <tr>
                    <td>{{ @key }}</td>
                    <td>{{ this }}</td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    ";
        echo "
    <script type=\"text/javascript\">

        \$(document).ready(function() {
            var arrayViewer = Handlebars.compile(\$(\"#table-array-viewer\").html());

            var table = \$(\"#logs\").DataTable({
                \"language\": dataTablesLanguage,
                serverSide: true, stateSave: true, stateDuration: 0,
                stateLoadCallback: function (settings, callback) {
                    var data = {};
                    \$.ajax({
                        type: \"GET\",
                        async: false,
                        url: \"";
        // line 127
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "?preference=auditlogGrid\",
                        dataType: 'json',
                        success: function (json) {
                            try {
                                if (json.success) {
                                    data = JSON.parse(json.data.value);
                                }
                            } catch (e) {
                                // Do nothing
                            }
                        }
                    });
                    return data;
                },
                stateSaveCallback: function (settings, data) {
                    \$.ajax({
                        type: \"POST\",
                        url: \"";
        // line 144
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                        data: {
                            preference: [{
                                option: \"auditlogGrid\",
                                value: JSON.stringify(data)
                            }]
                        }
                    });
                },
                filter: false,
                searchDelay: 3000,
                \"order\": [[0, \"desc\"]],
                ajax: {
                    url: \"";
        // line 157
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("auditLog.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#logs\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"logId\"},
                    {\"data\": \"logDate\", \"render\": dataTableDateFromUnix},
                    {\"data\": \"userName\"},
                    {\"data\": \"entity\"},
                    {
                        \"name\": \"entityId\",
                        \"data\" : function (data) {
                            if (data.entityId === 0) {
                                return ''
                            }
                            return data.entityId;
                        }
                    },
                    {\"data\": \"message\"},
                    {
                        \"data\": function (data, type, row, meta) {
                            if (type != \"display\")
                                return \"\";

                            return arrayViewer({\"col1\": \"";
        // line 182
        echo __("Property");
        echo "\", \"col2\": \"";
        echo __("Value");
        echo "\", \"items\": data.objectAfter});
                        },
                        \"sortable\": false
                    }
                ]
            });

            table.on('draw', function (e, settings) {
                dataTableDraw(e, settings);

                \$(\".arrayViewerToggle\").click(function () {
                    \$(this).parent().find(\".arrayViewer\").toggle();
                });
            });
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#logs_wrapper').find('.col-sm-6').eq(1));

            \$(\"#refreshLog\").click(function () {
                table.ajax.reload();
            });

            \$(\"#fromDateControlCancel\").on('click', function() {
                // Clear the date picker
                var \$fromDt = \$(\"#fromDt\");
                \$fromDt.val(\"\");
                \$(\"#fromDtLink\").val(\"\");

                table.ajax.reload();

                // Reset local storage
                localStorage.setItem(\"auditView\", JSON.stringify(\$fromDt.closest(\"form\").serializeArray()));
            });

            \$(\"#toDateControlCancel\").on('click', function() {
                // Clear the date picker
                var \$toDt = \$(\"#toDt\");
                \$toDt.val(\"\");
                \$(\"#toDtLink\").val(\"\");

                table.ajax.reload();

                // Reset local storage
                localStorage.setItem(\"auditView\", JSON.stringify(\$toDt.closest(\"form\").serializeArray()));
            });
        });

        function auditLogExportFormSubmit() {
            \$(\"#auditLogExportForm\").submit();
            XiboDialogClose();
        }

    </script>
";
    }

    public function getTemplateName()
    {
        return "auditlog-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  322 => 182,  294 => 157,  278 => 144,  258 => 127,  221 => 113,  219 => 93,  216 => 92,  200 => 79,  196 => 78,  192 => 77,  188 => 76,  184 => 75,  180 => 74,  176 => 73,  164 => 65,  160 => 64,  154 => 62,  150 => 61,  144 => 59,  140 => 58,  134 => 56,  130 => 55,  115 => 43,  112 => 42,  108 => 41,  93 => 29,  90 => 28,  86 => 27,  78 => 22,  73 => 20,  70 => 19,  67 => 18,  58 => 14,  50 => 13,  47 => 12,  44 => 11,  39 => 8,  37 => 9,  31 => 8,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "auditlog-page.twig", "/home/mgatv524/public_html/edurocha/views/auditlog-page.twig");
    }
}
